summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSonic-Y3k2015-12-10 21:15:12 +0100
committerSonic-Y3k2015-12-10 21:15:12 +0100
commitbcc9d1b6873e6767689fa77cc1064c5377f23153 (patch)
treee8434cc64efa77f4df993f6854f0722b47c8b4ca
downloadaur-bcc9d1b6873e6767689fa77cc1064c5377f23153.tar.gz
Initial import
-rw-r--r--.SRCINFO48
-rw-r--r--PKGBUILD44
2 files changed, 92 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..caad003c282
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,48 @@
+# Generated by mksrcinfo v8
+# Thu Dec 10 20:15:02 UTC 2015
+pkgbase = mitmf-git
+ pkgdesc = Framework for Man-In-The-Middle attacks.
+ pkgver = r425.d542dc1
+ pkgrel = 1
+ url = https://github.com/byt3bl33d3r/MITMf
+ arch = any
+ license = unknown
+ makedepends = git
+ depends = python2
+ depends = libnetfilter_queue
+ depends = libpcap
+ depends = libjpeg-turbo
+ depends = capstone
+ depends = python2-pyinotify
+ depends = python2-crypto
+ depends = python2-pyasn1
+ depends = python2-cryptography
+ depends = python2-pillow
+ depends = python2-netaddr
+ depends = scapy
+ depends = python2-dnslib
+ depends = python2-twisted
+ depends = python2-lxml
+ depends = python2-pefile-git
+ depends = python2-ipy
+ depends = python2-user_agent
+ depends = python2-pyopenssl
+ depends = python2-service-identity
+ depends = python2-configobj
+ depends = python2-flask
+ depends = python2-dnspython
+ depends = python2-beautifulsoup4
+ depends = python2-capstone
+ depends = python2-magic
+ depends = python2-msgpack
+ depends = python2-requests
+ depends = python2-pypcap
+ depends = python2-chardet
+ depends = python2-netfilterqueue-git
+ provides = mitmf
+ options = !strip
+ source = mitmf-git::git+https://github.com/byt3bl33d3r/MITMf
+ sha256sums = SKIP
+
+pkgname = mitmf-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a3876c899cb
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Sonic-Y3k <sonic.y3k@googlemail.com>
+
+pkgname=mitmf-git
+pkgdesc="Framework for Man-In-The-Middle attacks."
+pkgver=r425.d542dc1
+pkgrel=1
+arch=('any')
+url="https://github.com/byt3bl33d3r/MITMf"
+license=('unknown')
+provides=('mitmf')
+makedepends=('git')
+depends=('python2' 'libnetfilter_queue' 'libpcap' 'libjpeg-turbo' 'capstone' 'python2-pyinotify' 'python2-crypto' 'python2-pyasn1' 'python2-cryptography' 'python2-pillow' 'python2-netaddr' 'scapy' 'python2-dnslib' 'python2-twisted' 'python2-lxml' 'python2-pefile-git' 'python2-ipy' 'python2-user_agent' 'python2-pyopenssl' 'python2-service-identity' 'python2-configobj' 'python2-flask' 'python2-dnspython' 'python2-beautifulsoup4' 'python2-capstone' 'python2-magic' 'python2-msgpack' 'python2-requests' 'python2-pypcap' 'python2-chardet' 'python2-netfilterqueue-git')
+source=("${pkgname}::git+https://github.com/byt3bl33d3r/MITMf")
+sha256sums=('SKIP')
+options=(!strip)
+
+pkgver() {
+ cd "${srcdir}/${pkgname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "${srcdir}/${pkgname}"
+ git submodule init
+ git submodule update --recursive
+}
+
+package() {
+ # create required directories
+ install -d "${pkgdir}/opt"
+ install -d "${pkgdir}/usr/bin"
+
+ # copy required files
+ cp -r "${srcdir}/${pkgname}" "${pkgdir}/opt/MITMf"
+ chmod +x "${pkgdir}/opt/MITMf/mitmf.py"
+
+ # install link
+ ln -s "/opt/MITMf/mitmf.py" "${pkgdir}/usr/bin/mitmf"
+
+}
+